pipreqs(找当前项目依赖的包)

pipreqs

pipreqs可以帮你找到当前项目的所有组件及其版本。就是当别人给你一个程序的时候,你要在自己电脑上运行起来,就需要安装程序所依赖的组件,总不能自己一个一个找吧。

# 安装
pip3 install pipreqs
# 使用步骤
    1.在项目根目录下执行命令
        pipreqs ./  # 报错就执行下面这条
        pipreqs ./ --encoding=utf-8
    2.可以看到生成了requirements.txt文件
    3.执行下面代码就会把项目用到的所有组件装上
        pip3 install -r requirements.txt
# requirements.txt
Flask_Migrate==2.3.1
redis==3.0.1
Flask==1.0.2
alembic==1.0.7
Flask_Script==2.0.6
Flask_SQLAlchemy==2.3.2
Flask_Session==0.3.1
SQLAlchemy==1.2.17

 

posted @ 2019-02-09 00:32  就俗人一个  阅读(10296)  评论(0编辑  收藏  举报